import json

from db import redis_client
from flask import jsonify, current_app
from flask_classful import FlaskView


class ConsumersView(FlaskView):

    def get(self):
        # load the currently available consumer list from the redis database
        consumer_list = json.loads((redis_client.get("consumer_list") or b"{}").decode('utf-8'))

        # jsonify and return the list of active consumers
        return jsonify([v['ip'] for k, v in consumer_list.items()])
